API referenceTenancy
Update Workspace
PATCH
/api/v1/workspaces/{workspace_id}AuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
workspace_id*Workspace Id
Header Parameters
If-Match?|
The resource's ETag: "{id}:{version}" of its current view, "{key}:{version}" for a model
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/workspaces/string" \ -H "Content-Type: application/json" \ -d '{}'{ "archived_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "id": "string", "image_url": "string", "name": "string", "organization_id": "string", "permissions": [ "read" ], "settings": { "property1": null, "property2": null }, "updated_at": "2019-08-24T14:15:22Z", "version": 0}